from abc import ABC, abstractmethod
from typing import List

from model.common_models import DecompileResult

class Decompiler(ABC):
    @abstractmethod
    def decompile(self, file_path: str, tags: List[str], sha256: str = "") -> DecompileResult:
        """Decompile the given file and return the result"""
        pass
