from httpx import AsyncClient

class HttpxHelperClient:
    def __init__(self):
        self.client = AsyncClient(timeout=60.0)
    
    async def get(self, url, headers=None):
        response = await self.client.get(url, headers=headers)
        return response
    
    async def post(self, url, data=None, json=None, headers=None):
        response = await self.client.post(url, data=data, json=json, headers=headers)
        return response
    
    async def download(self, url, file_path, headers=None):
        response = await self.client.get(url, headers=headers)
        with open(file_path, 'wb') as f:
            f.write(response.content)
        return file_path
